/********************************
 *
 * 作者:吴隆健
 * 创建时间: 2019/7/6 15:13:58
 * 
 ********************************/

using System;
using MrWu.Basic;
using System.Text;

namespace Game.Shadow{
    /// <summary>
    /// 影子
    /// </summary>
    public class Shadow {
        /// <summary>
        /// 影子的名字
        /// </summary>
        public string name;

        /// <summary>
        /// 影子的性别
        /// </summary>
        public int sex;

        /// <summary>
        /// 头像
        /// </summary>
        public string photo;
        
        /// <summary>
        /// 名字是否被用过
        /// </summary>
        public bool isGetName;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="name"></param>
        /// <param name="sex"></param>
        public Shadow(string name,string photo,int sex) {
            this.name = name;
            this.photo = photo;
            this.sex = sex;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string ToString() {
            StringBuilder sb = new StringBuilder();
            int wight = -15;
            sb.AppendLine(string.Empty);
            sb.AppendLine(BaseFun.Align("name:",name,wight));
            sb.AppendLine(BaseFun.Align("sex:",sex,wight));
            return sb.ToString();

        }

    }
}
